Install 2.2 rc1 from source on Ubuntu 20.04

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Install 2.2 rc1 from source on Ubuntu 20.04

duncan.lithgow
Following the instructions to install LibreCAD 2.2_rc1 here:
https://librecad.readthedocs.io/en/latest/appx/build.html

I'm getting a lot of errors. Here's a few that might help anyone who can help me find the cause:

duncan@duncan-ThinkPad-W540:~/Downloads/LibreCAD-2.2.0-rc1$ qmake -v
QMake version 3.1
Using Qt version 5.12.8 in /usr/lib/x86_64-linux-gnu
duncan@duncan-ThinkPad-W540:~/Downloads/LibreCAD-2.2.0-rc1$ uic -v
uic 5.12.8


So there is a lot about things depreciated in Qt.

/usr/include/x86_64-linux-gnu/qt5/QtCore/qvariant.h:275:25: warning: implicitly-declared ‘QVariant::Private& QVariant::Private::operator=(const QVariant::Private&)’ is deprecated [-Wdeprecated-copy]
  275 |     { other.d = Private(); }


There is a whole section of warnings like this:

ui/qg_actionhandler.cpp:275:3: warning: this statement may fall through [-Wimplicit-fallthrough=]
  275 |   if(!document->countSelected()){
      |   ^~


The first error looks lihe this:

ui/forms/qg_commandwidget.cpp:59:60: error: invalid use of incomplete type ‘class QAction’
   59 |     auto a1 = new QAction(QObject::tr("Keycode Mode"), this);

      |    

It ends like this:

make[2]: Leaving directory '/home/duncan/Downloads/LibreCAD-2.2.0-rc1/librecad/src'
make[1]: *** [Makefile:47: sub-src-make_first] Error 2
make[1]: Leaving directory '/home/duncan/Downloads/LibreCAD-2.2.0-rc1/librecad'
make: *** [Makefile:93: sub-librecad-make_first-ordered] Error 2


It doesn't run:

duncan@duncan-ThinkPad-W540:~/Downloads/LibreCAD-2.2.0-rc1$ ./unix/librecad &
[1] 391293
duncan@duncan-ThinkPad-W540:~/Downloads/LibreCAD-2.2.0-rc1$ bash: ./unix/librecad: No such file or directory


Anyone here able to offer suggestions on what I should try?
IRC: duncan-nz
Twitter: @BIM_DK
Reply | Threaded
Open this post in threaded view
|

Re: Install 2.2 rc1 from source on Ubuntu 20.04

LordOfBikes
Administrator
Hi Duncan,

don't worry about about the warnings, they depend on OS and tool chain and don't stop the build process.

What stopped the build was the error with QAction. This rings a bell, but I'm not sure yet where to search for this.

You write about 2.2 rc1, is this correct?
Why not using the 2.2 rc2 I released 2 days ago?
https://github.com/LibreCAD/LibreCAD/releases/tag/2.2.0-rc2

From top off my head, I think it was caused by a Qt version switch and should be solved in latest LibreCAD code.

Armin
Reply | Threaded
Open this post in threaded view
|

Re: Install 2.2 rc1 from source on Ubuntu 20.04

duncan.lithgow
That worked perfectly. I think I'd already downloaded rc1 before rc2 .. just hadn't built it. Is someone going to make an announcement somewhere? These things deserve to be celebrated!
IRC: duncan-nz
Twitter: @BIM_DK
Reply | Threaded
Open this post in threaded view
|

Re: Install 2.2 rc1 from source on Ubuntu 20.04

LordOfBikes
Administrator
Great, glad to hear that.

I announced it here https://forum.librecad.org/2-2-0-Release-Candidate-2-published-tp5719973.html and on Zulip.
So Moult should be informed already, in case you want to publish it on osarch.